Cacti poller broken after (Ubuntu) upgrade?

Post support questions that directly relate to Linux/Unix operating systems.

Moderators: Moderators, Developers

Post Reply
Author
Message
matthys70
Posts: 7
Joined: Thu Jan 05, 2012 12:03 pm

Cacti poller broken after (Ubuntu) upgrade?

#1 Post by matthys70 » Wed Jun 26, 2019 9:32 am

Hello,

I'm not sure where to ask .. but I recently upgraded my Ubuntu server from 17.10 to 18.04.2 LTS.
The upgrade itself, including database, was successfully.
However I do not seen any graphs been created.

This is my cron job:
MAILTO=root
0,5,10,15,20,25,30,35,40,45,50,55 * * * * www-data php /usr/share/cacti/site/poller.php 2>&1 >/dev/null | if [ -f /usr/bin/ts ] ; then ts ; else tee ; fi >> /var/log/cacti/poller-error.log

If I change this to run under root, it works. But it doesn't under www-data and no error output either.
I also checked the right on the /var/lib/cacti folders, especially the rrd folder, they are all:
drwxrwx--- 6 root www-data 4096 Jun 22 11:53 cache
drwxrwx--- 2 root www-data 4096 May 4 2017 rra

So, what else do I need to check to get it running under www-data again?
I also do not understand why this is broken in the first place ...

Any ideas what to check would be helpful.

PS .. I do run Apache with PHP 7.2.19 with Cacti Version 1.1.38

Thanks,
Matthijs

netniV
Cacti Guru User
Posts: 2930
Joined: Sun Aug 27, 2017 12:05 am

Re: Cacti poller broken after (Ubuntu) upgrade?

#2 Post by netniV » Mon Jul 01, 2019 5:15 pm

Check that the file/folder permissions are correct on the cacti root and subfolders.

Post Reply